Contents

# On Error GoTo ... Resume Statement

So'ro kalaqantu gedensaanni so'rote amado biddissa dandeessanno, woy pirogiraamete looso hanafanno.

### Syntax:

    On [Local] Error {GoTo Labelname | GoTo 0 | Resume Next}

### Parameters:

..Wa ha'ri somaasinchosu'ma: So'ro kalaqanturo, "Somaasinchosu'ma" xuruuriwa hanaffanno so'rote amado biddissa dandeessanno.

Borro Noowiinni hanafi: ISo'ro kalaqanturo, pirogiraamete loosi so'ro giddose kalaqantanno fooliishsho aante dagganno fooliishshonni sufaansantanno.

..Wa Ha'ri 0: Xaa aante giddo so'rote amadaancho dandiweelanno.

Local: Optional. The keyword is a reminder the statement is local to the routine which invokes it; when the routine exits, this error handling is canceled automatically.

### Example:

    Sub ExampleReset
    On Error GoTo ErrorHandler
        Dim iNumber As Integer
        Dim iCount As Integer
        Dim sLine As String
        Dim aFile As String
        aFile = "C:\Users\ThisUser\data.txt"
        iNumber = Freefile
        Open aFile For Output As #iNumber
        #ikiiro attami, "Kuni borrote xuruuraati"
        Close #iNumber
        iNumber = Freefile
        Open aFile For Input As iNumber
        For iCount = 1 To 5
            Line Input #iNumber, sLine
            If sLine <>"" Then
                Rem
            End If
        Next iCount
        Close #iNumber
        Exit Sub
    ErrorHandler:
        Reset
        MsgBox "All files will be closed",  0,  "Error"
    End Sub

Fiixoo'mino umo

Error-Handling Functions

Open Statement